View Issue Details

IDProjectCategoryExploit/GlitchLast Update
0004450Battlefield 1AudioNo2017-11-02 03:17
ReporterBlah265 
SeverityMinorReproducibilityAlways 
Status NewResolutionOpen 
PlatformPCOSWindows 
Product VersionUpdate 05092017 - In the Name of the Tsar Update 
Fixed in Version 
Summary0004450: Operations start cutscene does not play properly
DescriptionWhenever I start any operation, the beginning cutscene does not play properly. The audio does not sync with the video. For a few seconds (when the game is busy loading the next map, or whatever), it's normal, but after, the video starts playing at a faster pace than normal, causing the video to not be in sync with the audio playing. This results in the cutscene ending early, and subtitles to not be in sync. This happens every single time. I'm not sure whether to mark as an audio issue, or something else, as it affects both audio and the video.

Here's a demonstration: https://youtu.be/nmBfkzWlF5Y

Note: I am playing at 165Hz, as seen by the frame counter at the top right. This issue did not happen when I was using a 60Hz monitor when They Shall Not Pass was released.
I am using an i7-7700k, GTX 1080 and play in 1440p at 165Hz.
Steps To ReproduceStart any operations game.

Activities

Blah265

2017-09-09 23:22

User
  ~0005072

Last edited: 2017-09-10 16:39

View 2 revisions

I forgot to mention, this does not seem to happen in other cutscenes than the one at the beginning of any operation. From the video, the cutscene showing the fly-over of the map (after the first cutscene) works just fine.
I have no idea if monitor refresh rate actually changes anything, but I thought I'd mention it since that's the only hardware change since the last time I tried operations, which was when TSNP was released.

Mr_Manager

2017-09-10 23:04

User
  ~0005075

I can add that when I used a GTX 1080 with a 144hz monitor (1440p) I experienced the same issue. Now when I use a different GPU (GTX 690 2gb) on a 120hz 1080p monitor the same issue does not appear. But, the intro cutscenes are always cut short, mid scentence, fade to black for a few seconds then the map rundown starts. I had to manually skip the video before once the map was loaded. Same CPU for both rigs (i5 3570k). Don't know if that helps.

Blah265

2017-09-18 22:09

User
  ~0005138

So, I reset my video settings and set them back to what they were, and now the opposite is happening; very heavy stuttering during the cut scenes. But, interestingly enough, when running the game in borderless, and I alt tab to another program, the cutscene appears to be playing just fine (or maybe it's sped up, I can't tell). I switched back to 144hz and this still happens.

Blah265

2017-10-12 20:26

User
  ~0005290

Is this issue ever going to be looked at? I apologize, but it's been over a month already and nothing has happened...

docholiday332

2017-10-13 00:13

User
  ~0005298

Last edited: 2017-10-13 00:14

View 2 revisions

Same issue, I got a response from a EA person in mine. I will link them together.

https://www.bftracker.com/view.php?id=4577

It seems to be an issue with vsync, or at least for me it is. When I turn off vsync the issue goes away.

Blah265

2017-10-13 06:00

User
  ~0005302

Last edited: 2017-10-13 21:34

View 2 revisions

Thanks docholiday. I am eager to get this to work. I don’t remember vsync making any difference but I guess I’ll have to revisit the issue, might have vsync enabled in Nvidia control panel or something outside of the game
^^ Thank you!! It completely fixed the issue. I turned off the following things:
Ingame V-Sync
V-Sync from Nvidia control panel for bf1.exe
G-Sync for my monitor
Added GameTime.MaxVariableFPS 0 to user.cfg in my Battlefield 1 directory to turn off frame limiter completely

And it's fixed! It really shouldn't have to be this complicated, but atleast there is a workaround.

docholiday332

2017-10-16 00:25

User
  ~0005456

Yea, I have vsync in my nvidia control panel, I need it enabled or the tearing is off the charts, guess I will just have to put up with this unless it is EVER fixed.

Blah265

2017-10-16 12:12

User
  ~0005462

I don’t get any tearing at all, but I guess I never exceed my monitors refresh rate anyways, so it’s a viable workaround. I just don’t like disabling g sync all the time.

docholiday332

2017-10-20 19:29

User
  ~0005524

Well it's now a confirmed bug on my thread, now if it ever gets fixed like the other numerous confirmed bugs that will be interesting.

docholiday332

2017-11-02 03:17

User
  ~0005585

I wanted to add if you use "Fast-Sync" in the nvidia control panel the Operations intro just completely FLIES by. It plays so quick I don't even know what the hell happened. Even worse then using vsync.